<?php

namespace Treewec;

/**
 * Test class for Controller.
 * Generated by PHPUnit on 2012-03-25 at 16:38:48.
 * @group mvc
 */
class PublicAreaControllerTest extends \PHPUnit_Framework_TestCase {

    /** @var Controller */
    private $controller;

    protected function setUp() {
        $this->controller = new PublicAreaController(new Holders\ArrayHolder(array()));
    }

    public function testDisplayView() {
        $this->controller->loadView();
        $textInRoot = \Treewec\Output::getPrintedText($this->controller, 'displayView');
        parent::assertTrue(is_string($textInRoot) && !empty($textInRoot));
    }

    public function testLoadView() {
        // because rewrite check in URLArgsINspector
        $_SERVER['REQUEST_URI'] = 'teams/';
        // load folder
        $this->controller = new PublicAreaController(new Holders\ArrayHolder(array('path' => 'teams/')));
        $this->controller->loadView();
        // load file
        $this->controller = new PublicAreaController(new Holders\ArrayHolder(array('path' => 'navigation')));
        $this->controller->loadView();
    }

    public function testLoadErrorView() {
        $_SERVER['REQUEST_URI'] = TREEWEC_PREFIX_OF_HIDDEN_FILES . 'navigation';
        $this->controller = new PublicAreaController(new Holders\ArrayHolder(array('path' => TREEWEC_PREFIX_OF_HIDDEN_FILES . 'navigation')));
        $this->controller->loadView();
    }

}

?>
